%define snapdate 20150615
%define treeish	af4ea98
%define beta	b1.20150615

Name:		wmmon
Version:	1.2
Release:	%{?beta:0.}1%{?beta:.%{beta}}.%{snapdate}git%{treeish}%{?dist}.6
Summary:	Nice system monitor for WindowMaker

Group:		User Interface/X
License:	GPLv2

# wmmon is long since abandoned by its' original author and now
# maintained by wmaker-dev@lists.windowmaker.org subscribers.
URL:		http://repo.or.cz/w/dockapps.git

# "snapshot" link from http://repo.or.cz/w/dockapps.git/tree/HEAD:/wmmon
# Tree-ish hash reduced to 8 chars, name and version parts are correctly
# parsed by gitweb.  However, you will get different results each time you
# try to download this file, because git-archive(1) stamps each file with
# current time.  This is how git-archive(1) works...
Source:		%{url}/snapshot/%{name}-%{version}%{?beta}-g%{treeish}.tar.gz

BuildRequires:	libXext-devel libXpm-devel

%description
WMMon monitors the realtime CPU load as well the average
system load and gives you some nice additional features too...

WMMon currently provides:

 * Realtime CPU 'stress' meter;
 * Average system load, like xload & wmavgload;
 * Average system load graph is auto-scaling;
 * Realtime Disk I/O 'stress' meter;
 * Average Disk I/O load graph (auto-scaling);
 * Realtime total Mem & Swap usage meters;
 * System uptime display;
 * Realtime cycling through all monitor modes;
 * Can launch 3 user definable commands through ~/.wmmonrc;
 * Can be started multiple times;
 * Commandline options for help (-h), version (-v),
   start mode (-i & -s) and display (-d);

%prep
%setup -q -n dockapps-%{name}-%{version}%{?beta}-g%{treeish}-%{treeish}

%build
cd wmmon
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -std=gnu89" LDFLAGS="$RPM_LD_FLAGS"

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}
install -p -m755 wmmon/wmmon %{buildroot}%{_bindir}/wmmon
install -p -m644 wmmon/wmmon.1 %{buildroot}%{_mandir}/man1/wmmon.1

%files
%doc BUGS CHANGES COPYING HINTS README TODO
%{_bindir}/wmmon
%{_mandir}/man1/wmmon.1*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.1.b1.20150615.20150615gitaf4ea98.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.1.b1.20150615.20150615gitaf4ea98.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.1.b1.20150615.20150615gitaf4ea98.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.1.b1.20150615.20150615gitaf4ea98.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.1.b1.20150615.20150615gitaf4ea98.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 14 2015 Alexey I. Froloff <raorn@raorn.name> - 1.2-0.1.b1.20150615.20120606gitaf4ea98.1
- New upstream release (1.2b1+20150615)
- Fix FTBFS with gcc5 (closes: #1240056)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.1.b2.20120606git575778a6.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.1.b2.20120606git575778a6.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.1.b2.20120606git575778a6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.1.b2.20120606git575778a6.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.1.b2.20120606git575778a6.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.1.b2.20120606git575778a6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Alexey I. Froloff <raorn@raorn.name> - 1.0-0.1.b2.20120606git575778a6
- Initial build for Fedora
